org.eclipse.oomph.predicates.impl

## Class PredicatesFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.oomph.predicates.impl.PredicatesFactoryImpl

- All Implemented Interfaces:
    Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BinaryResourceImpl.DataConverter.Factory, PredicatesFactory

      public class PredicatesFactoryImpl
      extends EFactoryImpl
      implements PredicatesFactory

  An implementation of the model Factory.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.predicates.PredicatesFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicatesFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertFileToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertProjectToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertResourceToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertToString(EDataType eDataType, Object instanceValue)`
    `EObject` | `create(EClass eClass)`
    `AndPredicate` | `createAndPredicate()`
    `AndPredicate` | `createAndPredicate(Predicate... operands)`
    `BuilderPredicate` | `createBuilderPredicate()`
    `BuilderPredicate` | `createBuilderPredicate(String builder)`
    `CommentPredicate` | `createCommentPredicate()`
    `File` | `createFileFromString(EDataType eDataType, String initialValue)`
    `FilePredicate` | `createFilePredicate()`
    `FilePredicate` | `createFilePredicate(String filePattern)`
    `FilePredicate` | `createFilePredicate(String filePattern, String contentPattern)`
    `Object` | `createFromString(EDataType eDataType, String initialValue)`
    `LocationPredicate` | `createLocationPredicate()`
    `NamePredicate` | `createNamePredicate()`
    `NamePredicate` | `createNamePredicate(String pattern)`
    `NaturePredicate` | `createNaturePredicate()`
    `NaturePredicate` | `createNaturePredicate(String nature)`
    `NotPredicate` | `createNotPredicate()`
    `NotPredicate` | `createNotPredicate(Predicate operand)`
    `OrPredicate` | `createOrPredicate()`
    `OrPredicate` | `createOrPredicate(Predicate... operands)`
    `IProject` | `createProjectFromString(EDataType eDataType, String initialValue)`
    `RepositoryPredicate` | `createRepositoryPredicate()`
    `RepositoryPredicate` | `createRepositoryPredicate(IProject project)`
    `IResource` | `createResourceFromString(EDataType eDataType, String initialValue)`
    `static PredicatesPackage` | `getPackage()` Deprecated.
    `PredicatesPackage` | `getPredicatesPackage()`
    `static PredicatesFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### PredicatesFactoryImpl

          public PredicatesFactoryImpl()

      Creates an instance of the factory.
      Generated

  - ### Method Detail

    - #### init

          public static PredicatesFactory init()

      Creates the default factory implementation.
      Generated

    - #### create

          public EObject create(EClass eClass)

      Specified by:
        `create` in interface `EFactory`
      Overrides:
        `create` in class `EFactoryImpl`
      Generated

    - #### createFromString

          public Object createFromString(EDataType eDataType,
                                String initialValue)

      Specified by:
        `createFromString` in interface `EFactory`
      Overrides:
        `createFromString` in class `EFactoryImpl`
      Generated

    - #### convertToString

          public String convertToString(EDataType eDataType,
                               Object instanceValue)

      Specified by:
        `convertToString` in interface `EFactory`
      Overrides:
        `convertToString` in class `EFactoryImpl`
      Generated

    - #### createNamePredicate

          public NamePredicate createNamePredicate()

      Specified by:
        `createNamePredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Name Predicate'.
      Generated

    - #### createCommentPredicate

          public CommentPredicate createCommentPredicate()

      Specified by:
        `createCommentPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Comment Predicate'.
      Generated

    - #### createLocationPredicate

          public LocationPredicate createLocationPredicate()

      Specified by:
        `createLocationPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Location Predicate'.
      Generated

    - #### createNamePredicate

          public NamePredicate createNamePredicate(String pattern)

      Specified by:
        `createNamePredicate` in interface `PredicatesFactory`

    - #### createRepositoryPredicate

          public RepositoryPredicate createRepositoryPredicate()

      Specified by:
        `createRepositoryPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Repository Predicate'.
      Generated

    - #### createRepositoryPredicate

          public RepositoryPredicate createRepositoryPredicate(IProject project)

      Specified by:
        `createRepositoryPredicate` in interface `PredicatesFactory`

    - #### createAndPredicate

          public AndPredicate createAndPredicate()

      Specified by:
        `createAndPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'And Predicate'.
      Generated

    - #### createAndPredicate

          public AndPredicate createAndPredicate(Predicate... operands)

      Specified by:
        `createAndPredicate` in interface `PredicatesFactory`

    - #### createOrPredicate

          public OrPredicate createOrPredicate()

      Specified by:
        `createOrPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Or Predicate'.
      Generated

    - #### createOrPredicate

          public OrPredicate createOrPredicate(Predicate... operands)

      Specified by:
        `createOrPredicate` in interface `PredicatesFactory`

    - #### createNotPredicate

          public NotPredicate createNotPredicate()

      Specified by:
        `createNotPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Not Predicate'.
      Generated

    - #### createNotPredicate

          public NotPredicate createNotPredicate(Predicate operand)

      Specified by:
        `createNotPredicate` in interface `PredicatesFactory`

    - #### createNaturePredicate

          public NaturePredicate createNaturePredicate()

      Specified by:
        `createNaturePredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Nature Predicate'.
      Generated

    - #### createNaturePredicate

          public NaturePredicate createNaturePredicate(String nature)

      Specified by:
        `createNaturePredicate` in interface `PredicatesFactory`

    - #### createBuilderPredicate

          public BuilderPredicate createBuilderPredicate()

      Specified by:
        `createBuilderPredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'Builder Predicate'.
      Generated

    - #### createBuilderPredicate

          public BuilderPredicate createBuilderPredicate(String builder)

      Specified by:
        `createBuilderPredicate` in interface `PredicatesFactory`

    - #### createFilePredicate

          public FilePredicate createFilePredicate()

      Specified by:
        `createFilePredicate` in interface `PredicatesFactory`
      Returns:
        a new object of class 'File Predicate'.
      Generated

    - #### createFilePredicate

          public FilePredicate createFilePredicate(String filePattern)

      Specified by:
        `createFilePredicate` in interface `PredicatesFactory`

    - #### createFilePredicate

          public FilePredicate createFilePredicate(String filePattern,
                                          String contentPattern)

      Specified by:
        `createFilePredicate` in interface `PredicatesFactory`

    - #### createProjectFromString

          public IProject createProjectFromString(EDataType eDataType,
                                         String initialValue)

      Generated
        NOT

    - #### convertProjectToString

          public String convertProjectToString(EDataType eDataType,
                                      Object instanceValue)

      Generated
        NOT

    - #### createResourceFromString

          public IResource createResourceFromString(EDataType eDataType,
                                           String initialValue)

      Generated
        NOT

    - #### convertResourceToString

          public String convertResourceToString(EDataType eDataType,
                                       Object instanceValue)

      Generated
        NOT

    - #### createFileFromString

          public File createFileFromString(EDataType eDataType,
                                  String initialValue)

      Generated
        NOT

    - #### convertFileToString

          public String convertFileToString(EDataType eDataType,
                                   Object instanceValue)

      Generated
        NOT

    - #### getPredicatesPackage

          public PredicatesPackage getPredicatesPackage()

      Specified by:
        `getPredicatesPackage` in interface `PredicatesFactory`
      Returns:
        the package supported by this factory.
      Generated

    - #### getPackage

          @Deprecated
          public static PredicatesPackage getPackage()

      Deprecated.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html